Summary:	Chrony clock synchronization program
Name:		chrony
Version:	1.23
Release:	%mkrel 7
URL:		http://chrony.sunsite.dk/index.php
License:	GPLv2
Group:		System/Configuration/Other
Source0:	ftp://chrony.sunsite.dk/projects/chrony/%{name}-%{version}.tar.gz
Patch0:		%{name}-1.23-fix.patch
Patch1:		%{name}-1.20-fix-chkconfig.patch
BuildRequires:	termcap-devel
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	texinfo
Requires(pre):	rpm-helper
Conflicts:	ntp
Conflicts:	openntpd
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
A pair of programs for keeping computer clocks accurate. chronyd is a
background (daemon) program and chronyc is a command-line interface to
it.  Time reference sources for chronyd can be RFC1305 NTP servers,
human (via keyboard and chronyc), and the computer's real-time clock
at boot time (Linux only).  chronyd can determine the rate at which
the computer gains or loses time and compensate for it whilst no
external reference is present.  chronyd's use of NTP servers can be
switched on and off (through chronyc) to support computers with
dial-up or intermittent access to the Internet. chronyd can also act
as an RFC1305-compatible NTP server.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
CFLAGS="%{optflags}" \
./configure --prefix=%{_prefix}
%make
%make info

%install
rm -rf %{buildroot}
install -m755 -d  %{buildroot}/var/log/chrony

install -m755 chronyd.init -D %{buildroot}%{_initrddir}/chronyd
install -m644 chrony.conf -D %{buildroot}%{_sysconfdir}/chrony.conf
install -m644 chrony.keys -D %{buildroot}%{_sysconfdir}/chrony.keys
install -m644 chrony.log -D %{buildroot}%{_sysconfdir}/logrotate.d/chrony

#make install

install -m755 -d %{buildroot}%{_bindir}
install -m755 -d %{buildroot}%{_sbindir} 
install -m755 chronyd %{buildroot}%{_sbindir}
install -m755 chronyc %{buildroot}%{_bindir}

install -m755 -d %{buildroot}%{_mandir}/man1
install -m755 -d %{buildroot}%{_mandir}/man8
install -m644 chrony.1 %{buildroot}%{_mandir}/man1
install -m644 chronyc.1 %{buildroot}%{_mandir}/man1
install -m644 chronyd.8 %{buildroot}%{_mandir}/man8

install -m755 -d %buildroot/%{_infodir}
install -m644 chrony.info %buildroot/%{_infodir}

%post 
%_install_info chrony.info
%_post_service chronyd

%postun
rm -f %{_sysconfdir}/chrony.drift %{_sysconfdir}/chrony.rtc

%preun
%_remove_install_info chrony.info
%_preun_service chronyd

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc INSTALL README README.rh chrony.texi
%{_sbindir}/*
%{_bindir}/*
%dir /var/log/chrony
%config(noreplace) %{_initrddir}/chronyd
%config(noreplace) %{_sysconfdir}/chrony.conf
%config(noreplace) %{_sysconfdir}/chrony.keys
%config(noreplace) %{_sysconfdir}/logrotate.d/chrony
%{_infodir}/chrony.info*
%{_mandir}/man1/*
%{_mandir}/man8/*



%changelog
* Fri Apr 03 2009 Funda Wang <fundawang@mandriva.org> 1.23-7mdv2009.1
+ Revision: 363669
- rebuild for new readline

* Thu Mar 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.23-6mdv2009.1
+ Revision: 361432
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild for latest readline

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.23-3mdv2009.0
+ Revision: 243883
- rebuild

* Mon Jan 28 2008 Adam Williamson <awilliamson@mandriva.org> 1.23-1mdv2008.1
+ Revision: 159227
- buildrequires texinfo (for .info file creation)
- new release 1.23 (hopefully fix #23977)
- rewrap description
- new license policy
- spec clean

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import chrony


* Wed Jun 21 2006 Lenny Cartier <lenny@mandriva.com> 1.22-0.20060621mdv2007.0
- conflicts ntp openntpd
- update to 20060621

* Sun Apr 03 2005 Michael Scherer <misc@mandrake.org> 1.20-3mdk
- Rebuild for readline

* Fri Jan 03 2004 Franck Villaume <fvill@freesurf.fr> 1.20-2mdk
- add BuildRequires : readline-devel

* Sun Dec 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.20-1mdk
- 1.20
- cleanups
- macroize
- quiet setup
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- fix buildrequires (lib64..)
- add clean section
- fix init script (P1) in stead of messing with symlinks for chkconfig
- compile with $RPM_OPT_FLAGS

* Mon Apr 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.19-2mdk
- adjust buildrequires

* Wed Jan 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.19-1mdk
- from Aleksander Adamowski <olo@altkom.com.pl> :
	- update to version 1.19
- add manpages

* Fri Sep 20 2002 Aleksander Adamowski <olo@altkom.com.pl> 1.18-1mdk
	- update to version 1.18

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.17-3mdk
- rebuild for new readline

* Mon May 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.17-2mdk
- fixed by Vlatko Kosturjak <kost@linux-mandrake.com> :
	- fix for /etc/init.d/chronyd script (missing quote)
	- fix for info install/uninstall
	- support for chkconfig (chronyd is now visible in drakxservices)

* Thu Mar 07 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.17-1mdk
- updated by W. Unruh <unruh@physics.ubc.ca> :
	- update to version 1.17

* Thu Jun 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.15-1mdk
- update to 1.15

* Fri Jan 05 2001 David BAUDENS <baudens@mandrakesoft.com> 1.14-3mdk
- ExcludeArch: ppc
- Macros
- Spec clean up

* Wed Sep 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.14-2mdk
- fix info pages

* Mon Sep 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.14-1mdk
- include fixes from :
 	Tue Sep 18 2000 W. Unruh <unruh@phsyics.ubc.ca> 1.14-1mdk
	-fix links in /etc/rc.d
	-update to version 1.14
- macros

* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.11-2mdk
- fix group
- spec helper fixes

* Mon Feb 07 2000 Lenny Cartier <lenny@mandrakesoft.com>
- fixed non-root build of the package
- bypass install script
- add correct links
- used original srpm provided by Per Wedin <perra@m-media.se>

* Sun Feb 06 2000 Per Wedin <perra@m-media.se>
- 1.11-2: Minor changes in chrony-1.11.spec
 
* Sat Feb 05 2000 Per Wedin <perra@m-media.se>
- New version: 1.11-1. First try...
 
* Wed Jun 24 1998 Corey Minyard <minyard@acm.org>
- Fixed all the configuration information so it went out correctly
 
* Mon Jun 22 1998 Corey Minyard <minyard@acm.org>
- Initial version.             
